Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::ObservableException Class Reference
Observable

ObservableException is the base class of all exceptions sent by the Observable/Listener/Observer system. More...

`#include <Observable.h>`

Inheritance diagram for tlp::ObservableException:
[legend]
Collaboration diagram for tlp::ObservableException:
[legend]

List of all members.

## Public Member Functions

- ObservableException (const std::string &desc)

## Detailed Description

ObservableException is the base class of all exceptions sent by the Observable/Listener/Observer system.

See also:
  Listener
  Observer
  Observable

## Constructor & Destructor Documentation

tlp::ObservableException::ObservableException | ( | const std::string & | desc | ) | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2012